"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const util_1 = tslib_1.__importDefault(require("util"));
const fs_1 = tslib_1.__importDefault(require("fs"));
const path_1 = tslib_1.__importDefault(require("path"));
exports.BOOTSTRAP_FILE_NAME = 'bootstrap.js';
exports.PRELUDE_FILE_NAME = 'prelude.js';
const BOOTSTRAP_FILE_PATH = path_1.default.resolve(__dirname, 'bootstrap', exports.BOOTSTRAP_FILE_NAME);
const readFile = util_1.default.promisify(fs_1.default.readFile);
exports.getBootstrapCode = async () => readFile(BOOTSTRAP_FILE_PATH, { encoding: 'utf-8' });
exports.getPrelude = () => 'globalThis.exports = {}; const global = globalThis; const exports = globalThis.exports';
